Project

General

Profile

Bug #15528

Bundler stdlib is not documented

Added by zverok (Victor Shepelev) 8 months ago. Updated 8 months ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:91036]

Description

Since 2.6, Bundler is a part of the standard library. But the logic of standard library docs for "default gems" (only gem's lib is copied to Ruby source tree, and libraries main class/module is rendered as a docs entry point) lead to unusable documentation for Bundler: https://docs.ruby-lang.org/en/2.6.0/Bundler.html

I am not sure how the situation should be handled, I can imagine at least 3 possible approaches:

  1. Work with Bundler team to have "basic usage" docs in lib/bundler.rb
  2. More sophisticated code copying (like copying parts of bundler's docs into lib/bundler.rb only in Ruby source tree)
  3. Rethink stdlib docs rendering to include default gems READMEs (will also require READMEs to be copied)

(1) is probably the simplest, though I am not sure Bundler team is ready to participate.

History

#1

Updated by zverok (Victor Shepelev) 8 months ago

  • Subject changed from Bundle stdlib is not documented to Bundler stdlib is not documented

Updated by hsbt (Hiroshi SHIBATA) 8 months ago

  • Status changed from Open to Closed

I welcome the patch for documentation of bundler on the upstream that is https://github.com/bundler/bundler or ruby repo both.

I can handle it because I'm a member of Bundler team.

Updated by hsbt (Hiroshi SHIBATA) 8 months ago

  • Assignee set to hsbt (Hiroshi SHIBATA)

Updated by zverok (Victor Shepelev) 8 months ago

hsbt (Hiroshi SHIBATA) Thanks, I'll provide the patch.

Can we leave this ticket open? I believe it is an existing problem of the trunk, that should be tracked here, too.

Also available in: Atom PDF